Package es.imim.DISGENET.internal.linkout

# Class LinkoutNodeTask

java.lang.Object
org.cytoscape.work.AbstractTask
es.imim.DISGENET.internal.linkout.LinkoutNodeTask

All Implemented Interfaces:
  `org.cytoscape.work.Task`

Direct Known Subclasses:
  `LinkoutDiseaseTask`, `LinkoutGeneTask`, `LinkoutVariantTask`

public abstract class LinkoutNodeTask extends org.cytoscape.work.AbstractTask

## Field Summary

### Fields inherited from class org.cytoscape.work.AbstractTask

`cancelled`

## Constructor Summary

Constructors
Constructor
Description
`LinkoutNodeTask()`

## Method Summary

Modifier and Type
Method
Description
`org.cytoscape.util.swing.OpenBrowser`
`getOpenBrowser()`
`void`
`setOpenBrowser(org.cytoscape.util.swing.OpenBrowser openBrowser)`

### Methods inherited from class org.cytoscape.work.AbstractTask

`cancel, getTaskIterator, insertTasksAfterCurrentTask, insertTasksAfterCurrentTask, run, setTaskIterator`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LinkoutNodeTask

public LinkoutNodeTask()

## Method Details

### getOpenBrowser

public org.cytoscape.util.swing.OpenBrowser getOpenBrowser()

### setOpenBrowser

public void setOpenBrowser(org.cytoscape.util.swing.OpenBrowser openBrowser)